package ru.ulstu.extractor.markup.model;

import ru.ulstu.extractor.ts.model.TimeSeries;

import java.util.Date;
import java.util.Set;
import java.util.TreeSet;

public class TimeSeriesForMarkup {
    private Set<TimeSeries> timeSeriesSet = new TreeSet<>();
    private Date dateFrom;
    private Date dateTo;

    public TimeSeriesForMarkup(TimeSeries ts1, TimeSeries ts2, Date dateFrom, Date dateTo) {
        this.dateFrom = dateFrom;
        this.dateTo = dateTo;
        this.timeSeriesSet.add(ts1);
        this.timeSeriesSet.add(ts2);
    }

    public Set<TimeSeries> getTimeSeriesSet() {
        return timeSeriesSet;
    }

    public void setTimeSeriesSet(Set<TimeSeries> timeSeriesSet) {
        this.timeSeriesSet = timeSeriesSet;
    }

    public Date getDateFrom() {
        return dateFrom;
    }

    public void setDateFrom(Date dateFrom) {
        this.dateFrom = dateFrom;
    }

    public Date getDateTo() {
        return dateTo;
    }

    public void setDateTo(Date dateTo) {
        this.dateTo = dateTo;
    }
}
